
@import "../../Appvariable.scss";

.Server {
  border: 1px solid #ccc;
  box-shadow: 0px 0px 4px 1px #ccc;
  padding: 1rem;

  div {
    display: flex;
    gap: 5px;
  }

  %PillStyle {
    @include Pill;
  }

  %DotStyle {
    @include Dot;
  }
  .PillOnline {
    @extend %PillStyle;
    background-color: $bg-online;
  } 
  .PillOffline {
    @extend %PillStyle;
    background-color: $bg-offline;
  }
  .DotOnline {
    @extend %DotStyle;
    background-color: $bg-online;
  }
  .DotOffline {
    @extend %DotStyle;
    background-color: $bg-offline;
  }
}

.buttonContainer {
  margin-top: 0.5rem;
  padding: 0.25rem 1rem;
  background-color: black;
  color: white;
  border: thin solid black;
  border-radius: 4px;
  cursor: pointer;
}
